export * from './compilers.js';
import { IColumnDescriptor, QueryContext, OrmDriver, QueryBuilder, TransactionCallback } from '@spinajs/orm';
import sqlite3 from 'sqlite3';
import { SqlDriver } from '@spinajs/orm-sql';
export declare class SqliteOrmDriver extends SqlDriver {
    protected executionId: number;
    protected Db: sqlite3.Database;
    executeOnDb(stmt: string, params: unknown[], queryContext: QueryContext): Promise<unknown>;
    ping(): Promise<boolean>;
    connect(): Promise<OrmDriver>;
    disconnect(): Promise<OrmDriver>;
    resolve(): void;
    transaction(qrOrCallback: QueryBuilder[] | TransactionCallback): Promise<void>;
    /**
     *
     * Retrieves information about specific DB table if exists. If table not exists returns null
     *
     * @param name - table name to retrieve info
     * @param _schema - optional schema name
     */
    tableInfo(name: string, _schema?: string): Promise<IColumnDescriptor[]>;
}
//# sourceMappingURL=index.d.ts.map